# EncounterOptionsDialogue | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EncounterOptionsDialogue

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:19

##### Index

### Constructors

constructor

### Properties

description?
options?
query?
title?

## Constructors

### constructor

- new EncounterOptionsDialogue(): EncounterOptionsDialogue

  #### Returns EncounterOptionsDialogue

## Properties

### `Optional` description

description?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:21

### `Optional` options

options?: OptionTextDisplay []

Options array with minimum 2 options

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:24

### `Optional` query

query?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:22

### `Optional` title

title?: string

- Defined in src/data/mystery-encounters/mystery-encounter-dialogue.ts:20